include:
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: jammy-curl
      suffix: jammy-curl
      stage-suffix: -curl
      dir: ./ubuntu/jammy/curl
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: jammy-scm
      suffix: jammy-scm
      stage-suffix: -scm
      dir: ./ubuntu/jammy/scm
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: jammy
      suffix: jammy
      stage-suffix: ""
      dir: ./ubuntu/jammy
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: lunar-curl
      suffix: lunar-curl
      stage-suffix: -curl
      dir: ./ubuntu/lunar/curl
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: lunar-scm
      suffix: lunar-scm
      stage-suffix: -scm
      dir: ./ubuntu/lunar/scm
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: lunar
      suffix: lunar
      stage-suffix: ""
      dir: ./ubuntu/lunar
# No order is perfect here, but this is not too complicated and works just fine
# TODO: Improve default CI config to use needs: and then we can remove the stages
stages:
- docker-build-curl
- docker-deploy-curl
- docker-build-scm
- docker-deploy-scm
- docker-build
- docker-deploy